Skip to content

List option values

View as Markdown
get /api/product_options/{productOptionId}/option_values

Retrieves the collection of Option Value resources.

Returns the values of a given option, ordered by position. Set the Flowkiwi-Locale header to read translatable value strings in a given locale.

Headers

NameTypeRequiredDescription
Flowkiwi-Localestring-Specifies the locale for properties that support localization. If not provided, the default locale will be used.

Path parameters

NameTypeRequiredDescription
productOptionIdstringrequiredProductOptionResource identifier

Query parameters

NameTypeRequiredDescription
properties[]string[]-Allows you to reduce the response to contain only the properties you need. If your desired property is nested, you can address it using nested arrays. Example: properties[]={propertyName}&properties[]={anotherPropertyName}&properties[{nestedPropertyParent}][]={nestedProperty}
id[]string[]-Only the items with one of these ids, each a UUID or the item IRI.
valuestring-Filter on the translated "value" field (case-insensitive partial match, uses the Flowkiwi-Locale header).
order[value]string-Order by translated field "value" (uses the Flowkiwi-Locale header)
order[createdAt]string-Option Value order[createdAt]
order[updatedAt]string-Option Value order[updatedAt]

Response

200 - Option Value collection

PropertyTypeRequiredDescription
searchobject-
Show search fields
PropertyTypeRequiredDescription
@typestring-
mappingobject[]-
Show mapping fields
PropertyTypeRequiredDescription
@typestring-
propertystring | null-
requiredboolean-
variablestring-
templatestring-
variableRepresentationstring-
totalItemsinteger-
memberOption.Value[]required
Show member fields
PropertyTypeRequiredDescription
@contextstring | object-
@idstringrequired
@typestringrequired
createdAtstring-The date and time when the resource was created (ISO 8601 format).
idstring-
positioninteger | null-The position of the option value. Use -1 to put the option value at the end.
productOptionstring | nullrequiredThe Product Option to which this option value belongs. Requires the products:read scope. Returned null when the scope is missing.
updatedAtstring-The date and time when the resource was last modified (ISO 8601 format).
valuestring | nullrequiredThis property supports translations.

The value of the option.
variantsstring[]-A list of Variant, each one representing a variant associated with the option value. Requires the products:read scope. Returned empty when the scope is missing.

Errors

403 - Access denied. The caller is missing one or more permissions required for this operation.

Content-Type: application/problem+json

PropertyTypeRequiredDescription
@contextstring | object-
@idstringrequired
@typestringrequired
detailstring-
missingPermissionsstring[]-Permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied permission.
statusinteger-
titlestring-
typestring-